Bug 257674 - devel/py-virtualenv is outdated, there are 16.7.12 and 20.x.x versions available please update
Summary: devel/py-virtualenv is outdated, there are 16.7.12 and 20.x.x versions availa...
Status: Closed Not A Bug
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nicola Vitale
URL:
Keywords:
Depends on:
Blocks: 260909
  Show dependency treegraph
 
Reported: 2021-08-07 15:39 UTC by Matthias Andree
Modified: 2022-11-25 17:26 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (nivit)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree freebsd_committer 2021-08-07 15:39:43 UTC

    
Comment 1 Florian Schulze 2022-01-26 10:46:38 UTC
The old version doesn't work with Python 3.10, so ``virtualenv -p python3.10`` breaks. Is there a specific reason the old version is kept?
Comment 2 Johan Ström 2022-11-20 11:26:26 UTC
+1 here, still old version and still broken with python 3.10
Comment 3 Nicola Vitale freebsd_committer 2022-11-25 17:26:48 UTC
The port has been update to 20.16.7. Thank you for the PR!